<!--追加したい機能
全般
レスポンシブデザイン
入力欄　画像、動画のポップアップ、ズーム表示機能
テーブルのスクロール、ページ機能
冷蔵庫の中身を入力して料理を表示

料理詳細画面
〇人前と入力する数次第で分量計算
この料理の他にもこんな料理があります欄（食材、料理名に似た関連料理）
このレシピを書いた人に質問する欄
料理が一覧表示されているときに　投稿日や費用などの昇順、降順でのソートボタン

絞り込みダイドボタン　カロリー　調理時間　費用
-->

<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!--c:forEach等のリファレンス処理をかけ雨量にするために書くこと-->
<!DOCTYPE html> <!-- ↑この2つの文のうち1行目のは、文字化けしないように初めにUTF-8と文字コードを設定する分で2行目は、c:forach等のEL式を書けるようにするために必要な文である。 -->
<html>

<head>
    <meta charset="UTF-8">
    <title></title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
    <link href="../css/s.css" rel="stylesheet" type="text/css" />
</head>

<body>
    <header class="azuki">
        <ul class="nav justify-content-end navbarp">
            <li class="nav-item mr-auto">
                <!--トップッページに戻る-->
                <a class="nav-link active lawhite" href="#">サイト名</a>
            </li>
            <c:if test="${loginUser.loginId == ||loginUser.loginId == user.loginId}">
                <li class="nav-item">
                    <div class="headerLinks m-2 mr-2 ">
                        <a href="" class="lawhite">お気に入り</a>
                    </div>
                </li>
            </c:if>
            <c:if test="${loginUser.loginId == ||loginUser.loginId == user.loginId}">
                <li class="nav-item">
                    <div class="headerLinks m-2 mr-2 ">
                        <a href="" class="lawhite">ページ</a>
                    </div>
                </li>
            </c:if>
            <c:if test="${loginUser.loginId == ||loginUser.loginId == user.loginId}">
                <li class="nav-item">
                    <div class="headerLinks m-2 mr-2 ">
                        <a href="" class="lawhite">ユーザー情報</a>
                    </div>
                </li>
            </c:if>
            <c:if test="${loginUser.loginId == ||loginUser.loginId == user.loginId}">
                <li class="nav-item">
                    <div class="headerLinks m-2 mr-2 ">
                        <a href="" class="lawhite">料理を投稿する</a>
                    </div>
                </li>
            </c:if>
            <li class="nav-item">
                <div class="headerLinks m-2 mr-2 ">
                    <a href="" class="lawhite">カテゴリ一覧 </a>
                </div>
            </li>
            <li class="nav-item">
                <form class="form-inline" action="" method="">
                    <div class="input-group">
                        <input type="text" class="form-control" size="50" placeholder="料理名、カテゴリなどを入力">
                        <button type="submit" class="btn btn-outline-light mx-1">検索</button>
                    </div>
                </form>
            </li>
            <li class="nav-item">
                <a class="nav-link active lawhite" href="#">ユーザー名</a>
            </li>
            <li class="nav-item">
                <a class="btn btn-outline-light" href="LogoutServlet">ログアウト</a>
            </li>
        </ul>
    </header>
    <div class="light">
        <p>○○>○○>○○>○○>○○</p>
    </div>
    <div class="wrapper">
        <div class="container">
            <div class="white">
            </div>
        </div>
        <div class="wrapper m-5">


            <div class="white maxwidth80">
                <div class="container">
                    <form action="UserListServlet" method="post" class="form-horizontal">
                        <!-- ←formタグで囲まないとacion属性で設定した先に入力した内容を渡すことができない。 -->

                        <div class="form-group row py-1">
                            <label for="un" class=" col-form-label">料理名や材料等のキーワード:</label>
                            <div class="col">
                                <input class="m-1" type="text" id="un" name="name" size="30">
                            </div>
                        </div>

                    <div class="form-group row">
                        <label for="bn" class="col-form-label">投稿日</label>
                        <div class="col">
                            <input type="date" id="bn" name="birthDate">
                        </div>
                        <div class="col py-1">
                            から
                        </div>
                        <div class="col">
                            <input type="date" name="birthDate2">
                        </div>
                        <div class="col py-1">
                            まで
                        </div>
                    </div>

                        <div class="text-right">
                            <button type="submit" value="検索" class="btn btn-outline-success my-2 my-sm-0">検索</button>
                        </div>
                    </form>
                </div>
            </div>


            <table class="table">
                <thead>
                    <tr class="warning">
                        <th>皆さんの作った料理</th>
                        <th></th>
                        <th></th>
                        <th></th>
                        <th></th>
                    </tr>
                </thead>
                <tbody>
                    <c:forEach var="user" items="${userList}">
                        <!--←varに変数名userを宣言しそこにitemから取り出したデータを格納する。itemにはuserlistサーブレットクラスで作成したuserList配列を設定し、そこに入っているデータが格納され繰り返し表示される。で繰り返し表示させたい変数を設定し、設定した変数を並べたテーブルを作ってそれをforeachで囲む。-->
                        <tr>
                            <td>
                                <div>
                                    <a href="fooddeail.java"><img src="../img/asa.jpg" id="" name="newpiclavel" alt="写真" width="180" height="130"></a>
                                </div>
                                <div>
                                    <a href="fooddetail.java">料理名</a>
                                </div>
                            </td>
                            <td>
                                <div>
                                    <a href="fooddeail.java"><img src="../img/asa.jpg" id="" name="newpiclavel" alt="写真" width="180" height="130"></a>
                                </div>
                                <div>
                                    <a href="fooddetail.java">料理名</a>
                                </div>
                            </td>
                            <td>
                                <div>
                                    <a href="fooddeail.java"><img src="../img/asa.jpg" id="" name="newpiclavel" alt="写真" width="180" height="130"></a>
                                </div>
                                <div>
                                    <a href="fooddetail.java">料理名</a>
                                </div>
                            </td>
                            <td>
                                <div>
                                    <a href="fooddeail.java"><img src="../img/asa.jpg" id="" name="newpiclavel" alt="写真" width="180" height="130"></a>
                                </div>
                                <div>
                                    <a href="fooddetail.java">料理名</a>
                                </div>
                            </td>
                            <td>
                                <div>
                                    <a href="fooddeail.java"><img src="../img/asa.jpg" id="" name="newpiclavel" alt="写真" width="180" height="130"></a>
                                </div>
                                <div>
                                    <a href="fooddetail.java">料理名</a>
                                </div>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <div>
                                    <a href="fooddeail.java"><img src="../img/asa.jpg" id="" name="newpiclavel" alt="写真" width="180" height="130"></a>
                                </div>
                                <div>
                                    <a href="fooddetail.java">料理名</a>
                                </div>
                            </td>
                            <td>
                                <div>
                                    <a href="fooddeail.java"><img src="../img/asa.jpg" id="" name="newpiclavel" alt="写真" width="180" height="130"></a>
                                </div>
                                <div>
                                    <a href="fooddetail.java">料理名</a>
                                </div>
                            </td>
                            <td>
                                <div>
                                    <a href="fooddeail.java"><img src="../img/asa.jpg" id="" name="newpiclavel" alt="写真" width="180" height="130"></a>
                                </div>
                                <div>
                                    <a href="fooddetail.java">料理名</a>
                                </div>
                            </td>
                            <td>
                                <div>
                                    <a href="fooddeail.java"><img src="../img/asa.jpg" id="" name="newpiclavel" alt="写真" width="180" height="130"></a>
                                </div>
                                <div>
                                    <a href="fooddetail.java">料理名</a>
                                </div>
                            </td>
                            <td>
                                <div>
                                    <a href="fooddeail.java"><img src="../img/asa.jpg" id="" name="newpiclavel" alt="写真" width="180" height="130"></a>
                                </div>
                                <div>
                                    <a href="fooddetail.java">料理名</a>
                                </div>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <div>
                                    <a href="fooddeail.java"><img src="../img/asa.jpg" id="" name="newpiclavel" alt="写真" width="180" height="130"></a>
                                </div>
                                <div>
                                    <a href="fooddetail.java">料理名</a>
                                </div>
                            </td>
                            <td>
                                <div>
                                    <a href="fooddeail.java"><img src="../img/asa.jpg" id="" name="newpiclavel" alt="写真" width="180" height="130"></a>
                                </div>
                                <div>
                                    <a href="fooddetail.java">料理名</a>
                                </div>
                            </td>
                            <td>
                                <div>
                                    <a href="fooddeail.java"><img src="../img/asa.jpg" id="" name="newpiclavel" alt="写真" width="180" height="130"></a>
                                </div>
                                <div>
                                    <a href="fooddetail.java">料理名</a>
                                </div>
                            </td>
                            <td>
                                <div>
                                    <a href="fooddeail.java"><img src="../img/asa.jpg" id="" name="newpiclavel" alt="写真" width="180" height="130"></a>
                                </div>
                                <div>
                                    <a href="fooddetail.java">料理名</a>
                                </div>
                            </td>
                            <td>
                                <div>
                                    <a href="fooddeail.java"><img src="../img/asa.jpg" id="" name="newpiclavel" alt="写真" width="180" height="130"></a>
                                </div>
                                <div>
                                    <a href="fooddetail.java">料理名</a>
                                </div>
                            </td>
                        </tr>
                    </c:forEach>
                </tbody>
            </table>
            <div class="container">
                <div class="row">
                    <div class="col-md-6 offset-md-3 py-2">
                        <nav aria-label="ページ送り">
                            <div class="text-center">
                                <ul class="pagination justify-content-center">
                                    <li class="page-item"><a class="page-link" href="?page={{ previous_page_number }}">&laquo;</a></li>
                                    <li class="page-item"><a class="page-link" href="?page=1">1</a></li>
                                    <li class="page-item active" aria-current="page">
                                        <a class="page-link" href="#">2 <span class="sr-only">(現位置)</span></a>
                                    </li>
                                    <li class="page-item"><a class="page-link" href="?page=3">3</a></li>
                                    <li class="page-item"><a class="page-link" href="?page=4">4</a></li>
                                    <li class="page-item"><a class="page-link" href="?page=5">5</a></li>
                                    <li class="page-item"><a class="page-link" href="?page={{ next_page_number }}">&raquo;</a></li>
                                </ul>
                            </div>
                        </nav>
                    </div>
                </div>
            </div>
            <div>
                <h3>味から探す</h3>
                <div class="white row">
                    <!--大本の第2塊-->
                    <ul class="col">
                        <li>
                            <div>
                                <!--ここに画像を挿入予定-->
                            </div>
                            <div>
                                <a href="">塩味</a>
                                <ul>
                                    <li>
                                        <a href="">和</a>
                                    </li>
                                    <li>
                                        <a href="">中</a>
                                    </li>
                                    <li>
                                        <a href="">洋</a>
                                    </li>
                                    <li>
                                        <a href="">その他</a>
                                    </li>
                                </ul>
                            </div>
                        </li>
                    </ul>
                    <ul class="col">
                        <li>
                            <div>
                                <!--ここに画像を挿入予定-->
                            </div>
                            <div>
                                <a href="">辛味</a>
                                <ul>
                                    <li>
                                        <a href="">和</a>
                                    </li>
                                    <li>
                                        <a href="">中</a>
                                    </li>
                                    <li>
                                        <a href="">洋</a>
                                    </li>
                                    <li>
                                        <a href="">その他</a>
                                    </li>
                                </ul>
                            </div>
                        </li>
                    </ul>
                    <ul class="col">
                        <li>
                            <div>
                                <!--ここに画像を挿入予定-->
                            </div>
                            <div>
                                <a href="">酸味</a>
                                <ul>
                                    <li>
                                        <a href="">和</a>
                                    </li>
                                    <li>
                                        <a href="">中</a>
                                    </li>
                                    <li>
                                        <a href="">洋</a>
                                    </li>
                                    <li>
                                        <a href="">その他</a>
                                    </li>
                                </ul>
                            </div>
                        </li>
                    </ul>
                    <ul class="col">
                        <li>
                            <div>
                                <!--ここに画像を挿入予定-->
                            </div>
                            <div>
                                <a href="">苦・渋味</a>
                                <ul>
                                    <li>
                                        <a href="">和</a>
                                    </li>
                                    <li>
                                        <a href="">中</a>
                                    </li>
                                    <li>
                                        <a href="">洋</a>
                                    </li>
                                    <li>
                                        <a href="">その他</a>
                                    </li>
                                </ul>
                            </div>
                        </li>
                    </ul>
                    <ul class="col">
                        <li>
                            <div>
                                <!--ここに画像を挿入予定-->
                            </div>
                            <div>
                                <a href="">甘味</a>
                                <ul>
                                    <li>
                                        <a href="">和</a>
                                    </li>
                                    <li>
                                        <a href="">中</a>
                                    </li>
                                    <li>
                                        <a href="">洋</a>
                                    </li>
                                    <li>
                                        <a href="">その他</a>
                                    </li>
                                </ul>
                            </div>
                        </li>
                    </ul>
                </div>
            </div>
            <div class="m-5">
                <h3>材料から探す</h3>
                <div class="white">
                    <div class="row nikurow m-3">
                        肉
                    </div>
                    <ul>
                        <li>
                            <div class="row">
                                <a href="" class="col">豚肉</a>
                                <a href="" class="col">鶏肉</a>
                                <a href="" class="col">牛肉</a>
                                <a href="" class="col">羊肉</a>
                                <a href="" class="col">馬肉</a>
                                <a href="" class="col">鹿肉</a>
                                <a href="" class="col">猪肉</a>
                                <a href="" class="col">その他の肉</a>
                            </div>
                        </li>
                    </ul>
                    <div class="row sakanarow m-3">
                        海産物
                    </div>
                    <ul>
                        <li>
                            <div class="row">
                                <a href="" class="col">マグロ</a>
                                <a href="" class="col">サバ</a>
                                <a href="" class="col">アジ</a>
                                <a href="" class="col">シジミ</a>
                            </div>
                        </li>
                    </ul>
                    <div class="row yasairow m-3">
                        野菜
                    </div>
                    <ul>
                        <li>
                            <div class="row">
                                <a href="" class="col">人参</a>
                                <a href="" class="col">もやし</a>
                                <a href="" class="col">キャベツ</a>
                                <a href="" class="col">ピーマン</a>
                            </div>
                        </li>
                    </ul>
                    <div class="row sonotarow m-3">
                        その他
                    </div>
                    <ul>
                        <li>
                            <div class="row ">
                                <a href="" class="col">小麦粉</a>
                                <a href="" class="col">果物</a>
                                <a href="" class="col">米</a>
                                <a href="" class="col">その他</a>
                            </div>
                        </li>
                    </ul>
                    <p>　</p>
                </div>
            </div>
            <div>
                <h3>その他</h3>
                <div class="white">
                    <ul>
                        <li>
                            <div>
                                <ul class="row m-2">
                                    <a href="" class="col">筋トレ食</a>
                                    <a href="" class="col">アウトドア</a>
                                    <a href="" class="col">時短</a>
                                    <a href="" class="col">体調不良時に</a>
                                </ul>
                            </div>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <footer>
            <p class="m-1">(c)copy right</p>
        </footer>
    </div>
</body>

</html>
